# Interface GenericOutputChannel

All Known Implementing Classes:
  `OC`

public interface GenericOutputChannel

## Method Summary

Modifier and Type
Method
Description
`String`
`closeChannel()`
`boolean`
`isBigEndian()`
`void`
`reset()`
`void`
`write(byte[] b, int off, int n)`
`void`
`writeByteAsInt(int b)`
`void`
`writeInt(int i)`
`void`
`writeLong(long b)`
`void`
`writeShort(short i)`

## Method Details

### isBigEndian

boolean isBigEndian()

### writeByteAsInt

void writeByteAsInt(int b)

### write

void write(byte[] b, int off, int n)

### writeInt

void writeInt(int i)

### reset

void reset()

### closeChannel

String closeChannel()

### writeLong

void writeLong(long b)

### writeShort

void writeShort(short i)